Loading...
Searching...
No Matches
Zeroconf.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2012 Raritan Inc. All rights reserved.
*/
#include <Event.idl>
/**
* Device Settings
*/
module devsettings {
/** Zero-config service settings interface */
interface Zeroconf {
/** Zero-configservice settings */
structure Settings {
boolean mdnsEnabled; ///< Enable zero-config advertising via mDNS for device
boolean llmnrEnabled; ///< Enable zero-config advertising via LLMNR for device
};
valueobject SettingsChangedEvent extends idl.Event {
Settings oldSettings; ///< old settings
Settings newSettings; ///< new settings
};
/**
* Retrieve the service settings.
*
* @return Zero-config service settings
*/
Settings getSettings();
/**
* Set the service settings.
*
* @param settings New settings
*/
void setSettings(in Settings settings);
};
}
devsettings::Zeroconf
Zero-config service settings interface.
Definition Zeroconf.idl:13
devsettings::Zeroconf::getSettings
Settings getSettings()
Retrieve the service settings.
devsettings::Zeroconf::setSettings
void setSettings(in Settings settings)
Set the service settings.
devsettings
Device Settings.
Definition Crestron.idl:9
idl
Basic IDL definitions.
Definition Event.idl:10
devsettings::Zeroconf::SettingsChangedEvent
Definition Zeroconf.idl:21
devsettings::Zeroconf::SettingsChangedEvent::oldSettings
Settings oldSettings
old settings
Definition Zeroconf.idl:22
devsettings::Zeroconf::SettingsChangedEvent::newSettings
Settings newSettings
new settings
Definition Zeroconf.idl:23
devsettings::Zeroconf::Settings
Zero-configservice settings.
Definition Zeroconf.idl:16
devsettings::Zeroconf::Settings::llmnrEnabled
boolean llmnrEnabled
Enable zero-config advertising via LLMNR for device.
Definition Zeroconf.idl:18
devsettings::Zeroconf::Settings::mdnsEnabled
boolean mdnsEnabled
Enable zero-config advertising via mDNS for device.
Definition Zeroconf.idl:17
idl::Event
Common base for all events.
Definition Event.idl:13